Bug 1195384 - https://fedora.zanata.org/help/view goes to a blank page
Summary: https://fedora.zanata.org/help/view goes to a blank page
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: WebSite
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: Alex Eng
QA Contact: Damian Jansen
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-23 17:38 UTC by Brian Lane
Modified: 2015-03-03 01:17 UTC (History)
6 users (show)

Fixed In Version: 3.7.0-SNAPSHOT
Doc Type: Bug Fix
Doc Text:
Story Points: 1
Clone Of:
Environment:
Last Closed: 2015-03-03 01:17:15 UTC


Attachments (Terms of Use)

Description Brian Lane 2015-02-23 17:38:23 UTC
I found the actual help page under Documents down at the bottom. Clicking help in the top menu really ought to go to the same place, not a blank page.

Comment 1 Alex Eng 2015-02-23 21:24:43 UTC
bcl, 

Agree. The help link should redirect to zanata.org/help. 

The help/view page was meant for domain specific help that admin can customised on. 

Perhaps the main page should be the only page for domain specific information.

Comment 2 Luke Brooker 2015-02-24 07:19:29 UTC
I have also been saying this all along. Can we get this in next release, please?

Comment 3 Michelle Kim 2015-02-25 00:23:52 UTC
Agreed. This is a big issue for fedora.zanata.org instance users. I will take this to next sprint item. 

Thanks for reporting the important bug, bcl.

Comment 4 David Mason 2015-02-25 02:11:42 UTC
From development team discussion:

Planned approach:

 - Allow admin to change help URL.
 - Default help URL: zanata.org/help
 - Just leave help content in the database (people can manually extract it from there if they really want it).

Comment 5 Alex Eng 2015-02-25 04:51:51 UTC
Pull request:
https://github.com/zanata/zanata-server/pull/704

Comment 6 Damian Jansen 2015-03-02 01:59:03 UTC
Verified merge (master) at e6d4bd712ba7a5ea49ec25842f8cf86836f41637

Comment 7 Michelle Kim 2015-03-03 01:12:48 UTC
Thanks Alex and Damian for your work on this. Are we happy to close this bug?

Comment 8 Alex Eng 2015-03-03 01:15:34 UTC
Michelle, 

The changes already verified and merged into master waiting on next release. 
Should be good to close.

Comment 9 Michelle Kim 2015-03-03 01:17:15 UTC
Great. Thanks Alex for working quickly on this! Closing the bug.


Note You need to log in before you can comment on or make changes to this bug.